Conversion (Webhook-Ramp)

This notification is triggered when the status of conversion order is updated.

U-Ramp API Publisher Disclaimer

Event metadata

  • name: CONVERSION
  • types:
    • ramp.conversion.trade.pending – conversion in progress
    • ramp.conversion.trade.completed – conversion completed successfully
    • ramp.conversion.trade.failed – conversion failed

Request body

FieldTypeDescription
event_idstringUnique event ID
event_namestringEvent name
event_typestringEvent type
source_idstringConversion ID
versionstringAPI version
dataobjectConversion details object

Notification example

  • The structure is consistent with the Retrieve Conversion API response.
{
  "version": "V1.6.0",
  "event_name": "CONVERSION",
  "event_type": "ramp.conversion.trade.pending",
  "event_id": "bbc90092-9b33-4065-a808-20c6bca47b61",
  "source_id": "94dc3b9f-cb1d-4622-b21f-830ea767f069",
  "data": {
    "account_id": "b1b89684-c2c4-4d54-b8a8-3572727fd120",
    "account_name": "UQPAY PTE LTD",
    "buy_amount": "9",
    "buy_currency": "USD",
    "complete_time": "",
    "conversion_id": "94dc3b9f-cb1d-4622-b21f-830ea767f069",
    "conversion_status": "Pending",
    "create_time": "2026-03-12 17:23:06 +0800 CST",
    "direct_id": "0",
    "network_fee": "0",
    "processing_fee": "3.1",
    "quote_price": "0.9",
    "reason": "",
    "sell_amount": "10",
    "sell_currency": "USDT",
    "short_conversion_id": "ES260312-WHFZ8MHB"
  }
}